DNF5-ADVISORY(8)

BEZEICHNUNG
dnf5-advisory - Advisory-Befehl

ÜBERSICHT

dnf5 advisory Unterbefehl [Optionen] [Hinweisangabe …]

BESCHREIBUNG

Der advisory-Befehl in DNF5 bietet verschiedene Abfragen zum Abrufen von Informationen zu Hinweisen und zugehörigen Paketen.

Optionale Hinweisangabe-Argumente können übergeben werden, um nur Hinweise mit bestimmten Namen zu filtern.

UNTERBEFEHLE

list
    listet verfügbare Hinweise auf.

info
    gibt Details zu Hinweisen aus.

summary
    gibt eine Zusammenfassung der Hinweise aus.

OPTIONEN

--all
    zeigt Hinweise an, die irgendeine Version der installierten Pakete enthalten.

--available
    zeigt Hinweise mit neueren Versionen installierter Pakete an. Dies ist das Standardverhalten.

--installed
    zeigt Hinweise an, die gleiche und ältere Versionen der installierten Pakete enthalten.

--updates
    zeigt Hinweise mit neueren Versionen installierter Pakete an, für die eine neuere Version verfügbar ist.

--contains-pkgs=PAKETNAME, …
    zeigt nur Hinweise an, die Pakete mit den angegebenen Namen enthalten. Dies ist eine Listenoption. Es werden nur installierte Pakete verglichen. Globs werden unterstützt.

--security
    schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

--bugfix
    schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

--enhancement
    schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

--newpackage
    schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

--advisory-severities=HINWEIS-SCHWEREGRAD, …
    schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

--bzs=BUGZILLA_ID, …
    schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

--cves=CVE_ID, …
    schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

--with-bz
    zeigt nur Hinweise an, die ein Bugzilla-Ticket referenzieren.

--with-cve
    zeigt nur Hinweise an, die ein CVE-Ticket referenzieren.

BEISPIELE

dnf5 advisory info FEDORA-2022-07aa56297a
    zeigt detaillierte Informationen zum Hinweis mit dem angegebenen Namen an.

dnf5 advisory summary --contains-pkgs=kernel,kernel-core --with-bz
    zeigt eine Zusammenfassung der Hinweise an, die kernel- oder kernel-core-Pakete enthalten und auf irgendein Bugzilla-Ticket verweisen.

dnf5 advisory list --security --advisory-severities=important
    zeigt eine Liste der Sicherheitshinweise oder Hinweise mit dem Schweregrad important an.

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.